Subject: [bug#74251] [PATCH] Adding jack-mixer audio package

From: Ekaitz Zarraga <[email-masked]>
Date: Mon, 11 Nov 2024 22:19:06 +0100

On 2024-11-11 20:42, Divya Ranjan wrote:
> Ekaitz Zarraga <[email-masked]> writes:
> 
>> Sorry mate I didn't explain it properly.
>>
>> The commit message has two parts: a title and a body.
>>
>> The title you used before was correct, you were only missing the
>> body. This is how the whole commit message should look like:
>>
>> gnu: audio: Add jack-mixer
>>
>> * gnu/packages/audio.scm (jack-mixer): New variable.
>>
> 
> Okay, I think this is the final patch.
> 
> 
> Regards,

Yes, this is almost there but there are still a couple of warnings by 
`guix lint`:

	jack-mixer@19: the source file name should contain the package name

This is complaining because when it clones the source code it is called 
"jack_mixer" but your package is called "jack-mixer" instead. You could 
fix it using something like this in the `origin`:

	(file-name (git-file-name name version))

If you add that and fix the indentation (you can use `guix style` for 
that), I think this is ready to go.

You are almost there!

PS: The other warning I think we can ignore for the moment. We have some 
other packages with the same warning I think it's because of the 
expansion of the `(,gtk+ "bin")